package hero.client.test;

import hero.interfaces.*;

import junit.framework.*;

public class DbInit extends TestCase {

	private BnUserHome uhome;
	private BnAuthRoleHome arhome;

	public DbInit(String testname) {
	super(testname);
	}
    
	public static TestSuite suite() {

	return new TestSuite(DbInit.class);
	}

	public void setUp() throws Exception {
	}

	public void testDbInit() throws Exception {
		InsertAuthRoleUserHome lHome = InsertAuthRoleUserUtil.getHome(); 
		InsertAuthRoleUser lBean = (InsertAuthRoleUser) lHome.create();
		lBean.initializeUser(2,"admin","toto","toxic@loria.fr");
		lBean.initializeUser(20,"admin2","toto2","toxic@loria.fr");
		lBean.initializeUser(3,"nobody","nobody","toxic@loria.fr");
		lBean.initializeAuthRole(2,"Admin","Admin");
		lBean.initializeAuthRole(3,"nobody","nobody");
		lBean.initialize("admin","Admin");
		lBean.initialize("admin","nobody");
		lBean.initialize("admin2","Admin");
		lBean.initialize("admin2","nobody");
		lBean.initialize("nobody","nobody");
	}

}
